Subject: [cuss] alignment between draft-ietf-cuss-sip-uui-isdn-10 and draft-ietf-cuss-sip-uui-17

From: Atle Monrad <[email-masked]>
Date: Mon, 10 Nov 2014 20:58:30 +0000

Folks

On June 23rd, I asked some questions to draft-ietf-cuss-sip-uui-isdn-09, and one of the questions was: "It is not clear to me if the way this draft use the permutations of the term "user to user", i.e.  'user to user', 'User to User', 'User-to-User' and 'User-to-user' have any logic. If so, I'd be happy to understand it..."

A few days ago ...  version -10 of the draft came out, where the new version of the draft attempted to align the terms as "User to User Information" and "User-to-User header field".

After this, it has been some off-list discussions whether this usage of these terms is correct or not.

My 1st priority is to get the cuss-drafts completed, as 3GPP is still waiting for the drafts to be completed. 
I do not mind the alignment too much, but as I find consistent use of terminology useful, I have compared the draft-ietf-cuss-sip-uui-isdn-10 and draft-ietf-cuss-sip-uui-17.

Between draft-ietf-cuss-sip-uui-isdn-10 and draft-ietf-cuss-sip-uui-17, I find the usage of "User to User Information" and "User-to-User header field" quite consistent, EXCEPT 3 instances  of "user-to-user information" in section "8.1.  Why INFO is Not Used" of draft-ietf-cuss-sip-uui.

IMHO  the two drafts are aligned at present (with the fixes  of "user-to-user information" in draft-ietf-cuss-sip-uui-17). If it is a wish to revert a number of the terms in draft-ietf-cuss-sip-uui-isdn-10, I think the authors should have a look at draft-ietf-cuss-sip-uui-17 as well for alignment.

I have also had a look at RFC6567, which is consistent in the use of the term "User-to-User", thus it is an option to consistently use the terms "User-to-User Information" AND "User-to-User header field" in both drafts, and be in line with the requirements-RFC :-)

In addition, both drafts use terms like UUI data, UUI service, UUI content parameters, UUI application, UUI header field, UUI mechanism, etc .... in a similar fashion, thus I do not think anything  is needed to do in this area. 

At last I have an additional comments that I think you must take onboard in draft-ietf-cuss-sip-uui-isdn AND in draft-ietf-cuss-sip-uui unless you can justify the current text.

In draft-ietf-cuss-sip-uui, the terms "UUI package" and "package" is used a bit in a mix. It start off as "UUI package" and move towards "package" possibly due to making the text read a bit easier. I think that the term "UUI package" is rather easy to do use consistently and should be a quick fix in all instances where you target mentioning the UUI package and not package in general.

In draft-ietf-cuss-sip-uui-isdn, the terms used are "package", "UUI package" and "ISDN package". To me it seems that these terms are not used aligned and correct. While the draft may wish to refer to some instances of "package" (in general) the "UUI package" (generally for any UUI-packages) and e.g. the "ISDN-UUI package" (specifically), I think you need to review the descriptive text and decide on what term to use where. This is also why I think you should correct the draft-ietf-cuss-sip-uui WRT the term "package" versus "UUI package" to have alignment between the two drafts.

I hope that these changes can be taken onboard in new revisions of the drafts as soon as possible. It is not my intention to send the drafts into another 3-month cycle waiting for new versions. If the current authors have no time for making a quick update, I propose that new authors (assumed found ...) that are willing do the needed corrections by a defined deadline can be assigned.

Cheers
/atle

________________________________ 

Atle Monrad
3GPP CT Chairman

Group Function Technology - Standardization and Technical Regulation 
Ericsson

-----Original Message-----
From: cuss [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: 24. oktober 2014 13:35
To: [email-masked]
Cc: [email-masked]
Subject: [cuss] I-D Action: draft-ietf-cuss-sip-uui-isdn-10.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Call Control UUI Service for SIP Working Group of the IETF.

        Title           : Interworking ISDN Call Control User Information with SIP
        Authors         : Keith Drage
                          Alan Johnston
	Filename        : draft-ietf-cuss-sip-uui-isdn-10.txt
	Pages           : 16
	Date            : 2014-10-24

Abstract:
   The motivation and use cases for interworking and transporting ITU-T
   DSS1 User to User information element data in SIP are described in
   RFC 6567.  As networks move to SIP, it is important that applications
   requiring this data can continue to function in SIP networks as well
   as the ability to interwork with this ISDN service for end-to-end
   transparency.  This document defines a usage (a new package) of the
   User-to-User header field to enable interworking with this ISDN
   service.

   This document covers the interworking with both public ISDN and
   private ISDN capabilities, so the potential interworking with QSIG
   will also be addressed.

   The package is identified by a new value "isdn-uui" of the "purpose"
   header field parameter.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-cuss-sip-uui-isdn/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-cuss-sip-uui-isdn-10

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-cuss-sip-uui-isdn-10

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
cuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/cuss

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 10 Nov 2014 21:24:51 +0000

I thought I was very clear on the ones that are now wrong. In summary - you cannot make consistent something that is the name of a parameter in a protocol that IETF does not own, or in a service definition that IETF does not own. As such, you just end up referencing to some concept that does not exist.

This is the list of changes that need to be reverted:

Appears a number of changes deviate from the terminology in other documents, and should therefore be undone.
 
So the correct terminology is as follows:
 
1)    "User-user information element" see ITU-T recommentation Q.931 and ITU-T Q.957.1 for correct usage, making the following changes incorrect:
 
-    Abstract
-    Section 2
 
2)    "User-to-user signalling supplementary service" see ITU-T Recommendation Q.957.1 for correct usage, making the following changes incorrect:
 
-    Section 3 (Title)
-    Section 3.1 many times
-    Section 13 (twice)
 
3)    Q.763 "User-to-user information" see ITU-T Recommendation Q.763 for correct usage, making following changes incorrect.
 
-    Section 2
 
4)    Within the ISDN supplementary service "User-to-user information" or "user-to-user data".
 
-    Section 3.1 many times
-    Section 6
 
5)    In section 14 please write out name of service in full as in 2) above.
 
6)    Additionally section 14 would probably be better to write (instead of "User to User package"):
 
"UUI package" which is the terminology in draft-ietf-cuss-sip-uui.

> From: cuss [mailto:[email-masked]] On Behalf Of Atle Monrad
> Sent: 10 November 2014 20:59
> To: [email-masked]
> Subject: [cuss] alignment between 
> draft-ietf-cuss-sip-uui-isdn-10 and draft-ietf-cuss-sip-uui-17
> 
> Folks
> 
> On June 23rd, I asked some questions to 
> draft-ietf-cuss-sip-uui-isdn-09, and one of the questions 
> was: "It is not clear to me if the way this draft use the 
> permutations of the term "user to user", i.e.  'user to 
> user', 'User to User', 'User-to-User' and 'User-to-user' have 
> any logic. If so, I'd be happy to understand it..."
> 
> A few days ago ...  version -10 of the draft came out, where 
> the new version of the draft attempted to align the terms as 
> "User to User Information" and "User-to-User header field".
> 
> After this, it has been some off-list discussions whether 
> this usage of these terms is correct or not.
> 
> My 1st priority is to get the cuss-drafts completed, as 3GPP 
> is still waiting for the drafts to be completed. 
> I do not mind the alignment too much, but as I find 
> consistent use of terminology useful, I have compared the 
> draft-ietf-cuss-sip-uui-isdn-10 and draft-ietf-cuss-sip-uui-17.
> 
> Between draft-ietf-cuss-sip-uui-isdn-10 and 
> draft-ietf-cuss-sip-uui-17, I find the usage of "User to User 
> Information" and "User-to-User header field" quite 
> consistent, EXCEPT 3 instances  of "user-to-user information" 
> in section "8.1.  Why INFO is Not Used" of draft-ietf-cuss-sip-uui.
> 
> IMHO  the two drafts are aligned at present (with the fixes  
> of "user-to-user information" in draft-ietf-cuss-sip-uui-17). 
> If it is a wish to revert a number of the terms in 
> draft-ietf-cuss-sip-uui-isdn-10, I think the authors should 
> have a look at draft-ietf-cuss-sip-uui-17 as well for alignment.
> 
> I have also had a look at RFC6567, which is consistent in the 
> use of the term "User-to-User", thus it is an option to 
> consistently use the terms "User-to-User Information" AND 
> "User-to-User header field" in both drafts, and be in line 
> with the requirements-RFC :-)
> 
> In addition, both drafts use terms like UUI data, UUI 
> service, UUI content parameters, UUI application, UUI header 
> field, UUI mechanism, etc .... in a similar fashion, thus I 
> do not think anything  is needed to do in this area. 
> 
> At last I have an additional comments that I think you must 
> take onboard in draft-ietf-cuss-sip-uui-isdn AND in 
> draft-ietf-cuss-sip-uui unless you can justify the current text.
> 
> In draft-ietf-cuss-sip-uui, the terms "UUI package" and 
> "package" is used a bit in a mix. It start off as "UUI 
> package" and move towards "package" possibly due to making 
> the text read a bit easier. I think that the term "UUI 
> package" is rather easy to do use consistently and should be 
> a quick fix in all instances where you target mentioning the 
> UUI package and not package in general.
> 
> In draft-ietf-cuss-sip-uui-isdn, the terms used are 
> "package", "UUI package" and "ISDN package". To me it seems 
> that these terms are not used aligned and correct. While the 
> draft may wish to refer to some instances of "package" (in 
> general) the "UUI package" (generally for any UUI-packages) 
> and e.g. the "ISDN-UUI package" (specifically), I think you 
> need to review the descriptive text and decide on what term 
> to use where. This is also why I think you should correct the 
> draft-ietf-cuss-sip-uui WRT the term "package" versus "UUI 
> package" to have alignment between the two drafts.
> 
> I hope that these changes can be taken onboard in new 
> revisions of the drafts as soon as possible. It is not my 
> intention to send the drafts into another 3-month cycle 
> waiting for new versions. If the current authors have no time 
> for making a quick update, I propose that new authors 
> (assumed found ...) that are willing do the needed 
> corrections by a defined deadline can be assigned.
> 
> Cheers
> /atle
> 
> Group Function Technology - Standardization and Technical 
> Regulation Ericsson
> 
> 
> 
> Please note that it may take a couple of minutes from the 
> time of submission until the htmlized version and diff are 
> available at tools.ietf.org.
>

---

From: Atle Monrad <[email-masked]>
Date: Mon, 10 Nov 2014 22:15:44 +0000

Keith

I understand your point, however 
my point is  that if you decide to revert the terminology certain places in draft-ietf-cuss-sip-uui-isdn you may need to do the same in  draft-ietf-cuss-sip-uui if you want to have the drafts aligned.

The 2nd topic, use of the terms used are "package", "UUI package" and "ISDN package" is also a topic for consideration between the two drafts.

/atle

Atle Monrad
3GPP CT Chairman

-----Original Message-----
From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
Sent: 10. november 2014 11:25
To: Atle Monrad; [email-masked]
Subject: RE: [cuss] alignment between draft-ietf-cuss-sip-uui-isdn-10 and draft-ietf-cuss-sip-uui-17

 

-    Abstract
-    Section 2

-    Section 3 (Title)
-    Section 3.1 many times
-    Section 13 (twice)

-    Section 2

-    Section 3.1 many times
-    Section 6

 

> was: "It is not clear to me if the way this draft use the permutations 
> of the term "user to user", i.e.  'user to user', 'User to User', 
> 'User-to-User' and 'User-to-user' have any logic. If so, I'd be happy 
> to understand it..."
> 
> A few days ago ...  version -10 of the draft came out, where the new 
> version of the draft attempted to align the terms as "User to User 
> Information" and "User-to-User header field".
> 
> I do not mind the alignment too much, but as I find consistent use of 
> terminology useful, I have compared the
> Information" and "User-to-User header field" quite consistent, EXCEPT 
> 3 instances  of "user-to-user information"
> IMHO  the two drafts are aligned at present (with the fixes of 
> "user-to-user information" in draft-ietf-cuss-sip-uui-17).
> draft-ietf-cuss-sip-uui-isdn-10, I think the authors should have a 
> look at draft-ietf-cuss-sip-uui-17 as well for alignment.
> 
> I have also had a look at RFC6567, which is consistent in the use of 
> the term "User-to-User", thus it is an option to consistently use the 
> terms "User-to-User Information" AND "User-to-User header field" in 
> both drafts, and be in line with the requirements-RFC :-)
> 
> In addition, both drafts use terms like UUI data, UUI service, UUI 
> content parameters, UUI application, UUI header field, UUI mechanism, 
> etc .... in a similar fashion, thus I do not think anything  is needed 
> to do in this area.
> 
> At last I have an additional comments that I think you must take 
> onboard in draft-ietf-cuss-sip-uui-isdn AND in draft-ietf-cuss-sip-uui 
> unless you can justify the current text.
> 
> In draft-ietf-cuss-sip-uui, the terms "UUI package" and "package" is 
> used a bit in a mix. It start off as "UUI package" and move towards 
> "package" possibly due to making the text read a bit easier. I think 
> that the term "UUI package" is rather easy to do use consistently and 
> should be a quick fix in all instances where you target mentioning the 
> In draft-ietf-cuss-sip-uui-isdn, the terms used are "package", "UUI 
> package" and "ISDN package". To me it seems that these terms are not 
> used aligned and correct. While the draft may wish to refer to some 
> instances of "package" (in
> general) the "UUI package" (generally for any UUI-packages) and e.g. 
> the "ISDN-UUI package" (specifically), I think you need to review the 
> descriptive text and decide on what term to use where. This is also 
> why I think you should correct the draft-ietf-cuss-sip-uui WRT the 
> term "package" versus "UUI package" to have alignment between the two 
> drafts.
> 
> I hope that these changes can be taken onboard in new revisions of the 
> drafts as soon as possible. It is not my intention to send the drafts 
> into another 3-month cycle waiting for new versions. If the current 
> authors have no time for making a quick update, I propose that new 
> authors (assumed found ...) that are willing do the needed corrections 
> by a defined deadline can be assigned.
> 
> Cheers
> /atle
> 
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at 
> tools.ietf.org.
>